{% load i18n %}
{% load staticfiles %}
{% load humanize %}
{% load server_tags %}

<div id="navbar">

    <div class="container flex-row">

        <div id="logo">
            <!-- <a href="/"><img src="{{ STATIC_URL }}{{ SITE_LOGO }}"></a> -->
            <a href="/">Th</a>
        </div>

        <div class="flex-row flex-end flex-grow">
            
            <div class="flex-grow" id="site-name"> <a href="/">{{ SITE_NAME }}</a> </div>

            {% search_bar %}

            <div class="nav-btn-group flex-row" role="group">

                {% if user.is_authenticated %}

                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-success dropdown-toggle username" data-toggle="dropdown">
                            <!-- <i class="fa fa-user"></i>  <span class="badge">{% get_count COUNTS 'messages' %}</span> -->
                            <i class="fa fa-user"></i> {{user.name}} <b class="score">{{  user.scaled_score|bignum }}</b>

                            <!-- <span class="caret"></span> -->
                        </button>
                        <ul class="dropdown-menu" role="menu">
                            <li>
                                <a href="{% url 'user-details' user.id %}"><i class="fa fa-user"></i> {% trans "Profile" %} </a>
                            </li>
                            <li>
                                <a href="{% url 'topic-list' topic='myposts' %}"><i class="fa fa-comments"></i> {% trans "Posts" %}</a>
                            </li>
                            <li>
                                <a href="{% url 'user-messages' %}"><i class="fa fa-envelope"></i> {% trans "Messages" %}
                                    <span class="badge">{% get_count COUNTS 'messages' %}</span> 
                                </a>
                            </li>
                            <li>
                                <a href="{% url 'topic-list' topic='mytags' %}"><i class="fa fa-tag"></i> {% trans "Tags" %}</a>
                            </li>
                            <li>
                                <a href="{% url 'topic-list' topic='following' %}"><i class="fa fa-eye"></i> {% trans "Following" %}</a>
                            </li>
                            <li>
                                <a href="{% url 'user-votes' %}"><i class="fa fa-heart"></i> {% trans "Votes" %}
                                    <span class="badge">{% get_count COUNTS 'votes' %}</span>
                                </a>
                                
                            </li>
                            <li>
                                <a href="{% url 'topic-list' topic='bookmarks' %}"><i class="fa fa-book"></i> {% trans "Bookmarks" %}</a>
                            </li>
                            
                            <!--
                            <li class="divider"></li>
                            <li>
                                <a href="{% url 'new-post' %}"><i class="fa fa-plus"></i> New Post</a>
                            </li> 
                            -->

                            <li class="divider"></li>
                            <li>
                                <a href="{% url 'logout' %}"><i class="fa fa-sign-out"></i> {% trans "Log Out" %}</a>
                            </li>
                        </ul>
                    </div>
                {% else %}
                    <div>
                        <a class="btn btn-primary" role="button" href="{% url 'login' %}">
                            <i class="fa fa-user"></i> {% trans "Log In" %}
                        </a>
                    </div>

                    <div>
                        <a class="btn btn-primary" role="button" href="{% url 'signup' %}">
                            <i class="fa a-arrow-circle-up"></i> {% trans "Sign Up" %}
                        </a>
                    </div>

                {% endif %}

        <!--             <span class="">
                    <a href="{% url 'flatpage' 'about' %}">about</a> &bull; <a href="{% url 'flatpage' 'faq' %}">faq</a>
                    &bull; <a href="{% url 'rss' %}">rss <i class="fa fa-rss"></i></a>
                </span>
        -->
                <div class="btn-group" role="group">

                    <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown">
                        <!-- <i class="fa fa-user"></i>  <span class="badge">{% get_count COUNTS 'messages' %}</span> -->
                        <i class="fa fa-question"></i>
                        <!-- <span class="caret"></span> -->
                    </button>

                    <ul class="dropdown-menu" role="menu">

                        <li>
                            <a href="{% url 'flatpage' 'about' %}"><i class="fa fa-info"></i> {% trans "About" %}</a>
                        </li>
                        <li>
                            <a href="{% url 'flatpage' 'faq' %}"><i class="fa fa-question"></i> {% trans "FAQ" %}</a>
                        </li>
                        <li>
                            <a href="{% url 'rss' %}"><i class="fa fa-rss"></i> {% trans "RSS" %}</a>
                        </li>

                    </ul>
                </div>
            
            </div>

        </div>
    
    </div>
  
    <div class="row" id="message-box-container">
        <div id="message-box" class="col-md-12 text-center"></div>
    </div>

</div>

    <div class="topnav-background">
        <div class="container" id="topnav">
            <div class="flex-row flex-space-between text-center">
                
                <div class="subtitle">{% trans "META" %}</div>

                <div class="flex-row">

                    <ul class="flex-row">
                        {% for word in CATEGORIES %}
                            <li class="{% active word topic %}">
                                <a href="{% url 'topic-list' topic=word %}">{{word}}</a>
                            </li>
                        {% endfor %}
                        <!-- <div class="col-md-1 {% active 'planet' topic %}"><a href="{% url 'planet' %}">Planet</a></div> -->

                        <li class="{% current request 'user-list' %}">
                            <a href="{% url 'user-list' %}">
                                <!-- <div><i class="fa fa-globe"></i>
                                </div><div>Community</div> -->
                                {% trans "Community" %}
                            </a>
                        </li>

                        <li class="{% current request 'tag-list' %}"><a href="{% url 'tag-list' %}">{% trans "Tags" %}</a></li>
                    </ul>


                    <div class="new-post">
                        <a class="btn btn-primary" role="button" href="{% url 'new-post' %}">
                            <i class="fa fa-plus-circle"></i> {% trans "New Post" %}
                        </a>
                    </div>

                </div>

            </div>
        </div>
    </div>